package com.jdblabs.timestamper.gui

import groovy.beans.Bindable
import java.awt.Point
import java.awt.Rectangle
import java.util.Properties
import com.jdblabs.util.SmartConfig
import com.jdblabs.timestamper.core.Timeline
import com.jdblabs.timestamper.core.TimelineMarker
import com.jdblabs.timestamper.core.TimelineProperties

class TimeStamperMainModel {
    @Bindable TimelineMarker currentMarker
    @Bindable Timeline timeline
    @Bindable TimelineProperties timelineProperties
    SmartConfig config

    List plugins = []

    def notesDialogMVC
    def punchcardDialogMVC

    @Bindable Point absoluteLocation
    @Bindable Rectangle frameSize
}
